//
//  ContentPlaylistListRepository.swift
//  SodaLive
//
//  Created by klaus on 12/7/24.
//

import CombineMoya
import Combine
import Moya

class ContentPlaylistListRepository {
    private let api = MoyaProvider<PlaylistApi>()
    
    func getPlaylistList() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getPlaylistList)
    }
    
    func createPlaylist(request: CreatePlaylistRequest) -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.createPlaylist(request: request))
    }
}
